﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace Commands
{
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private string strDokument = "Das ist ein Test-Text!";

    public MainWindow()
    {
      InitializeComponent();

      CommandBinding commandNew = new CommandBinding(ApplicationCommands.New);
      commandNew.Executed += NeuHandler;
      commandNew.CanExecute += NeuAusfuehrenHandler;

      this.CommandBindings.Add(commandNew);
    }

    private void NeuHandler(object sender, ExecutedRoutedEventArgs e)
    {
      string strHelp = "Wollen Sie wirklich alles löschen?";

      MessageBoxResult res = MessageBox.Show(strHelp, "Test", MessageBoxButton.YesNo);

      if (res == MessageBoxResult.Yes)
      {
        strDokument = string.Empty;
      }
    }

    private void NeuAusfuehrenHandler(object sender, CanExecuteRoutedEventArgs e)
    {
      e.CanExecute = (strDokument.Length > 0);
    }

    private void OnBeenden(object sender, RoutedEventArgs e)
    {
      this.Close();
    }
  }
}
