﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;

namespace RichText2
{
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void OnTextChanged(object sender, TextChangedEventArgs e)
    {
      if ((textBreite == null) || (textHoehe == null) || (rect == null))
        return;

      double dBreite, dHoehe;
      bool bTest = true;

      bTest &= double.TryParse(textBreite.Text, out dBreite);
      bTest &= double.TryParse(textHoehe.Text, out dHoehe);

      if (bTest && (dBreite >= 0.0) && (dHoehe >= 0.0))
      {
        rect.Width = dBreite;
        rect.Height = dHoehe;
      }
    }
  }
}
