﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Animation;

namespace UhrDiscreteCode
{
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();

      // Schleife für 60 KeyFrames
      for (int i = 0; i < 60; i++)
      {
        // Sekunden
        DiscreteDoubleKeyFrame frame1 = new DiscreteDoubleKeyFrame();
        frame1.Value = 6 * i;
        frame1.KeyTime = TimeSpan.FromSeconds(i);
        keyFramesSekunden.KeyFrames.Add(frame1);

        // Minuten
        DiscreteDoubleKeyFrame frame2 = new DiscreteDoubleKeyFrame();
        frame2.Value = 6 * i;
        frame2.KeyTime = TimeSpan.FromMinutes(i);
        keyFramesMinuten.KeyFrames.Add(frame2);
      }

      // Aktuelle Zeit setzen
      uhr.BeginTime = -DateTime.Now.TimeOfDay;
    }
  }
}
