﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;

namespace BindingCode
{
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();

      Binding bind = new Binding();
      bind.Source = sld;
      bind.Path = new PropertyPath(Slider.ValueProperty);
      bind.Mode = BindingMode.TwoWay;
      bind.UpdateSourceTrigger = UpdateSourceTrigger.PropertyChanged;

      text.SetBinding(TextBox.TextProperty, bind);
    }
  }
}
