﻿using System;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;

namespace BindungColor
{
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }
  }

  public class ColorConverter : IValueConverter
  {
    public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      byte byCol = (byte)(double)value;
      Color col = Color.FromRgb(byCol, byCol, byCol);
      SolidColorBrush b = new SolidColorBrush(col);

      return b;
    }

    public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      SolidColorBrush b = value as SolidColorBrush;
      Color col = b.Color;

      return (double)col.R;
    }
  }
}
