﻿using System;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;

namespace BindungConvert1
{
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }
  }

  // Konvertierungsklasse: Typ double ---> Typ Brush
  public class ColorConverter : IValueConverter
  {
    public object Convert(object value, Type targetType, object parameter,
                          System.Globalization.CultureInfo culture)
    {
      // Konvertierung von double nach Brush

      byte byCol = (byte)(double)value;
      Color col = Color.FromRgb(byCol, byCol, byCol);
      SolidColorBrush b = new SolidColorBrush(col);
      return b;
    }

    public object ConvertBack(object value, Type targetType, object parameter,
                              System.Globalization.CultureInfo culture)
    {
      // Konvertierung von Brush nach double
      // Diese Methode wird im Beispiel nicht genutzt

      SolidColorBrush b = value as SolidColorBrush;
      Color col = b.Color;
      return (double)col.R;
    }
  }
}
