﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;

namespace DataTemplateLV
{
  class ColorConverter : IValueConverter
  {
    #region IValueConverter Members

    public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      int iPrio = (int)value;
      SolidColorBrush b;

      switch (iPrio)
      {
        case 1:
          b = new SolidColorBrush(Colors.Green);
          break;

        case 2:
          b = new SolidColorBrush(Colors.Blue);
          break;

        case 3:
          b = new SolidColorBrush(Colors.Red);
          break;

        default:
          b = new SolidColorBrush(Colors.Black);
          break;
      }

      return b;
    }

    public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      return null;
    }

    #endregion
  }
}
