﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVVM
{
  class AstroObjectViewModel
  {
    private AstroObject _astroObject;

    public AstroObjectViewModel()
    {
      _astroObject = new AstroObject
      {
        ObjectName = "Star #1",
        ObjectType = ObjectType.Stern,
        Magnitude = 5.6f,
        Description = "Ein schöner Stern"
      };
    }

    public AstroObject AstroObject
    {
      get { return _astroObject; }
      set { _astroObject = value; }
    }

    public string ObjectName
    {
      get { return AstroObject.ObjectName; }
      set { AstroObject.ObjectName = value; }
    }

    public float Magnitude
    {
      get { return AstroObject.Magnitude; }
      set { AstroObject.Magnitude = value; }
    }

    public ObjectType ObjectType
    {
      get { return AstroObject.ObjectType; }
      set { AstroObject.ObjectType = value; }
    }

    public string Description
    {
      get { return AstroObject.Description; }
      set { AstroObject.Description = value; }
    }
  }
}
