﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVVM
{
  class AstroDatabase
  {
    public AstroObject GetAstroObject(int iNum)
    {
      AstroObject obj = new AstroObject();

      switch (iNum)
      {
        case 0:
          obj.ObjectName = "HD 234567";
          obj.Magnitude = 5.7f;
          obj.ObjectType = ObjectType.Stern;
          obj.Description = "Interssanter Stern";
          break;

        case 1:
          obj.ObjectName = "HD 12345";
          obj.Magnitude = 12.3f;
          obj.ObjectType = ObjectType.Stern;
          obj.Description = "Schwach blauer Stern";
          break;

        case 2:
          obj.ObjectName = "NGC 7001";
          obj.Magnitude = 11.7f;
          obj.ObjectType = ObjectType.Nebel;
          obj.Description = "Rotleichtend";
          break;

        case 3:
          obj.ObjectName = "M 88";
          obj.Magnitude = 6.9f;
          obj.ObjectType = ObjectType.Sternhaufen;
          obj.Description = "Sehr hell";
          break;

        case 4:
          obj.ObjectName = "M 57";
          obj.Magnitude = 9.3f;
          obj.ObjectType = ObjectType.Nebel;
          obj.Description = "Ringnebel";
          break;

        default:
          obj.ObjectName = "???";
          obj.Magnitude = 0.0f;
          obj.ObjectType = ObjectType.Sonstiges;
          obj.Description = "???";
          break;

      }

      return obj;
    }
  }
}
