﻿using System;
using System.Windows;
using System.Windows.Threading;
using System.Windows.Media;

namespace Thread
{
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();

      DispatcherTimer timer = new DispatcherTimer();

      timer.Tick += new EventHandler(timer_Tick);
      timer.Interval = TimeSpan.FromSeconds(1);
      timer.Start();
    }

    private void timer_Tick(object sender, EventArgs e)
    {
      if (this.Background == Brushes.Black)
      {
        this.Background = Brushes.Crimson;
      }
      else
      {
        this.Background = Brushes.Black;
      }
    }
  }
}
