﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace LogicalTree
{
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void OnClick(object sender, RoutedEventArgs e)
    {
      // Richtung Wurzel-Element das Eltern-Element
      DependencyObject grid = LogicalTreeHelper.GetParent(sender as FrameworkElement);
      MessageBox.Show(grid.GetType().ToString());

      // Richtung Wurzel-Element das nächste Eltern-Element  
      DependencyObject window = LogicalTreeHelper.GetParent(grid);
      MessageBox.Show(window.GetType().ToString());

      // Alle Kindelemente des Grids
      foreach (DependencyObject obj in LogicalTreeHelper.GetChildren(grid as FrameworkElement))
      {
        MessageBox.Show(obj.GetType().ToString());
      }

      // Ein bestimmtes Element suchen
      DependencyObject depobj = LogicalTreeHelper.FindLogicalNode(window, "btn");
      Button button = depobj as Button;
      button.Content = "WPF";
    }
  }
}
