﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;

namespace ModalDialog
{
  public partial class MyDialog : Window
  {
    public MyDialog()
    {
      InitializeComponent();
    }

    private void OnLoaded(object sender, RoutedEventArgs e)
    {
      textBoxIn.SelectAll();
    }

    public int Anzahl
    {
      // Hier Datenvalidierung!!!!
      get 
      { 
        int iZahl;

        if (int.TryParse(textBoxIn.Text, out iZahl))
        {
          return iZahl;
        }

        return 0;
      }
      set 
      { 
        textBoxIn.Text = value.ToString(); 
      }
    }

    private void ButtonOK_Click(object sender, RoutedEventArgs e)
    {
      this.DialogResult = true;
      this.Close();
    }
  }
}
