﻿using System;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Animation;

namespace AnimationCode
{
  public partial class MainWindow : Window
  {
    double dStartWidth;

    public MainWindow()
    {
      InitializeComponent();

      dStartWidth = btn.Width;
    }

    private void OnStart(object sender, RoutedEventArgs e)
    {
      DoubleAnimation anim = new DoubleAnimation();

      anim.Duration = new Duration(TimeSpan.FromSeconds(3));
      anim.From = dStartWidth;
      anim.To = 400;
      anim.FillBehavior = FillBehavior.Stop;

      btn.BeginAnimation(Button.WidthProperty, anim);
    }
  }
}
