﻿using System;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Threading;

namespace TimerAni
{
  public partial class MainWindow : Window
  {
    double dStartWidth;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void OnStart(object sender, RoutedEventArgs e)
    {
      dStartWidth = btn.Width;

      DispatcherTimer timer = new DispatcherTimer();
      timer.Interval = TimeSpan.FromSeconds(0.01);
      timer.Tick += OnTimerTick;
      timer.Start();
    }

    private void OnTimerTick(object sender, EventArgs e)
    {
      btn.Width++;

      if (btn.Width == 400)
      {
        DispatcherTimer timer = sender as DispatcherTimer;
        timer.Stop();
        btn.Width = dStartWidth;
      }
    }
  }
}
