﻿using System;
using System.Windows;
using System.Windows.Data;

namespace BindungContext
{
  public partial class MainWindow : Window
  {
    DataClass data;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void OnLoaded(object sender, RoutedEventArgs e)
    {
      data = new DataClass("Bernd", "Marquardt", 1954);

      stack.DataContext = data;
    }

    private void OnInhalt(object sender, RoutedEventArgs e)
    {
      string strOut = string.Format("Vorname: {0}\nNachname: {1}\nJahr: {2}",
                                    data.Vorname, data.Nachname, data.Jahr);
      MessageBox.Show(strOut);
    }
  }
}
