﻿using System;
using System.Windows;
using System.Windows.Media;
using System.Windows.Data;
using System.Diagnostics;  // Debug-Code!

namespace BindungConvert2
{
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }
  }

  public class DoubleConverter : IValueConverter
  {
    public object Convert(object value, Type targetType, object parameter,
                          System.Globalization.CultureInfo culture)
    {
      // Konvertierung zum doppelten Wert

      double x;

      if (double.TryParse((string)value, out x))
      {
        Debug.Print("Convert: " + x.ToString());  // Debug-Code!
        return x * 2.0;
      }

      Debug.Print("Convert: Fehler!");  // Debug-Code!
      return null;
    }

    public object ConvertBack(object value, Type targetType, object parameter,
                              System.Globalization.CultureInfo culture)
    {
      // Konvertierung zum halben Wert

      double x;

      if (double.TryParse((string)value, out x))
      {
        Debug.Print("ConvertBack: " + x.ToString());  // Debug-Code!
        return x / 2.0;
      }

      Debug.Print("ConvertBack: Fehler!");  // Debug-Code!
      return null;
    }
  }
}
