﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace StilCode
{
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void OnButton1(object sender, RoutedEventArgs e)
    {
      // Existierenden Stil benutzen
      btn1.Style = (Style)this.Resources["stil1"];
      btn2.Style = (Style)this.Resources["stil1"];
    }

    private void OnButton2(object sender, RoutedEventArgs e)
    {
      // Existierenden Stil benutzen
      btn1.Style = (Style)this.Resources["stil2"];
      btn2.Style = (Style)this.Resources["stil2"];
    }

    private void OnAendern(object sender, RoutedEventArgs e)
    {
      // Neuen Stil erzeugen
      Style stil = new Style();
      Setter fam = new Setter(Button.FontFamilyProperty, new FontFamily("Courier New"));
      stil.Setters.Add(fam);
      Setter size = new Setter(Button.FontSizeProperty, (object)20.0);
      stil.Setters.Add(size);

      btn1.Style = stil;
      btn2.Style = stil;
    }
  }
}
