﻿using System;
using System.Windows;
using System.Windows.Controls;
using Microsoft.Win32;
using System.IO;
using System.Windows.Markup;

namespace StilLaden
{
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    public void OnFileOpen(object sender, EventArgs e)
    {
      OpenFileDialog dlg = new OpenFileDialog();

      dlg.Filter = "XAML Files (*.xaml)|*.xaml|All Files (*.*)|*.*";
      dlg.FilterIndex = 0;

      if (dlg.ShowDialog() == true)
      {
        using (FileStream fs = new FileStream(dlg.FileName, FileMode.Open, FileAccess.Read))
        {
          ResourceDictionary dict = (ResourceDictionary)XamlReader.Load(fs);
          this.Resources = dict;
          fs.Close();
        }
      }
    }

    public void OnFileExit(object sender, EventArgs e)
    {
      this.Close();
    }

    public void OnClicked(object sender, EventArgs e)
    {
      MessageBox.Show("Schaltfläche mit Spezial-Design!");
    }
  }
}
