﻿using System;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Threading;

namespace WpfThread_FALSCH
{
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void OnTextOutputNormal(object sender, RoutedEventArgs e)
    {
      // TextBox-Methode aus richtigem Thread aufrufen
      DoOutput();
    }

    private void OnTextOutputThread(object sender, RoutedEventArgs e)
    {
      ThreadStart thStart = new ThreadStart(this.DoOutput);
      Thread th = new Thread(thStart);

      // TextBox-Methode aus anderem Thread aufrufen
      // Es wird eine Exception geworfen...
      th.Start();
      th.Join();
    }

    private void DoOutput()
    {
      // Diese Methode greift auf die Benutzerschnittstelle zu
      textBoxOut.Text = "Hallo, WPF!";
    }
  }
}
