﻿using System;
using System.Text;
using System.Windows;
using System.Windows.Input;
using System.Windows.Controls;
using System.Diagnostics;

namespace Wpf_TPL1
{
  public partial class MainWindow : Window
  {
    Stopwatch sw = new Stopwatch();

    public MainWindow()
    {
      InitializeComponent();
    }

    private void OnButtonCalculate(object sender, RoutedEventArgs e)
    {
      // "Sanduhr" als Cursor
      this.Cursor = Cursors.Wait;
                                    
      // Zeitmessung starten        
      sw.Reset();
      sw.Start();

      // Berechnung der Wurzelsumme
      double dSumme = 0.0;

      for (int i = 0; i < 100000000; i++)
      {
        dSumme += Math.Sqrt(i);
      }

      // Zeitmessung beenden
      sw.Stop();

      // Ausgabe Ergebnis und Zeit
      textBoxResult.Text = dSumme.ToString();
      textBlockZeit.Text = sw.ElapsedMilliseconds.ToString();

      // Cursor wieder auf den normalen Pfeil setzen
      this.Cursor = Cursors.Arrow;
    }
  }
}
