using System;
using System.Windows.Forms;
using System.Windows.Forms.Integration;

namespace ElemHost
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();

      // Reihenfolge ist sehr wichtig!!!

      // WPF-Button erzeugen
      System.Windows.Controls.Button wpfButton = new System.Windows.Controls.Button();
      wpfButton.Content = "WPF Button";
      wpfButton.Opacity = 0.8;
      wpfButton.RenderTransform = new System.Windows.Media.SkewTransform(10.0, 10.0);
      wpfButton.Click += buttonWPF_Click;

      // ElementHost erzeugen
      ElementHost host = new ElementHost();
      host.Dock = DockStyle.Fill;
      // Button als Child hinzufgen
      host.Child = wpfButton;

      // Einfgen in die Cotrols-Collection der Windows Form
      this.Controls.Add(host);

      // Jetzt erst Width und Height im WPF-Control ndern
      wpfButton.Width = 120;
      wpfButton.Height = 35;
    }

    private void buttonWPF_Click(object sender, System.Windows.RoutedEventArgs e)
    {
      MessageBox.Show("Hallo vom WPF-Button!", "Hallo");
    }

    private void buttonWF_Click(object sender, EventArgs e)
    {
      this.Close();
    }
  }
}
