using System;
using System.Collections.ObjectModel;

namespace WinFormsHost
{
  class MultiDataClass : ObservableCollection<DataClass>
  {
    public MultiDataClass() : base()
    {
      Add(new DataClass("Bernd", "Marquardt", 1954));
      Add(new DataClass("Monika", "Marquardt", 1964));
      Add(new DataClass("Alina", "Marquardt", 1998));
    }
  }

  class DataClass
  {
    private string strNachname;
    private string strVorname;
    private int iJahr;

    public DataClass()
    {
      strNachname = "Test";
      strVorname = "Test";
      iJahr = 0;
    }

    public DataClass(string strV, string strN, int iJ)
    {
      strVorname = strV;
      strNachname = strN;
      iJahr = iJ;
    }

    public string Nachname
    {
      set { strNachname = value; }
      get { return strNachname; }
    }

    public string Vorname
    {
      set { strVorname = value; }
      get { return strVorname; }
    }

    public int Jahr
    {
      set { iJahr = value; }
      get { return iJahr; }
    }

    public override string ToString()
    {
      return strVorname + " " + strNachname;
    }
  }
}
