﻿using System;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Input;
using System.Windows.Media;
using System.Data.SqlClient;
using System.Data;

namespace DataGrid3
{
  public partial class MainWindow : Window
  {
    private string conString = "Server=(local);" +
                               "Initial Catalog=Northwind;" +
                               "Trusted_Connection=Yes;";

    public MainWindow()
    {
      InitializeComponent();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      SqlConnection con = new SqlConnection(conString);
      SqlCommand cmd = new SqlCommand("SELECT CustomerID,CompanyName," +
                                      "ContactName,City,Phone FROM Customers", con);
      DataSet ds = new DataSet();

      try
      {
        con.Open();

        SqlDataAdapter read = new SqlDataAdapter(cmd);
        read.Fill(ds, "Customers");
      }
      finally
      {
        con.Close();
      }

      // Daten dem DataGrid-Element zuweisen
      dataGrid.DataContext = ds.Tables["Customers"];
    }
  }
}
