﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;
using System.Windows.Shell;
using IO=System.IO;

namespace WPF_Taskbar3
{
  public partial class MainWindow : Window
  {
    private JumpList myJumpList = new JumpList();

    public MainWindow()
    {
      InitializeComponent();

      myJumpList.ShowRecentCategory = true;
    }

    private void memuOpen_Click(object sender, RoutedEventArgs e)
    {
      OpenFileDialog dlg = new OpenFileDialog();

      dlg.Filter = "Text-Dateien|*.txt|Alle Dateien|*.*";
      dlg.FilterIndex = 0;

      if (dlg.ShowDialog() == true)
      {
        // Datei laden und verarbeiten
        MessageBox.Show("Datei wurde erfolgreich geladen!");

        // Jumplist erweitern
        CreateJumplistItem(dlg.FileName);
      }
    }

    private void CreateJumplistItem(string strPath)
    {
      JumpList.SetJumpList(Application.Current, myJumpList);

      JumpTask task = new JumpTask();
      task.Title = "Notepad: " + IO.Path.GetFileName(strPath);
      task.ApplicationPath = "C:\\Windows\\Notepad.exe";
      task.Arguments = strPath;
      task.Description = "Ein Test für das Buch!";
      task.IconResourceIndex = 0;
      task.IconResourcePath = task.ApplicationPath;

      myJumpList.JumpItems.Add(task);
      myJumpList.Apply();
    }
  }
}
